\draw (24,50) node [align=left] {$\displaystyle C_3$};

    %1 карта
    \linetableone  { }{1}{1}{ }
    \linetabletwo  { }{1}{1}{ }
    \linetablethree{1}{ }{ }{1}
    \linetablefour {1}{ }{ }{1}
    
    %2 карта
    \linetablefive  { }{1}{1}{ }
    \linetablesix   { }{1}{1}{ }
    \linetableseven {1}{ }{ }{1}
    \linetableeight {1}{ }{ }{1}
    
    %3 карта
    \linetablenine  { }{1}{1}{ }
    \linetableten   { }{1}{1}{ }
    \linetableeleven{1}{ }{ }{1}
    \linetabletwelve{1}{ }{ }{1}
    
    %4 карта
    \linetablethirteen{ }{1}{1}{ }
    \linetablefourteen{ }{1}{1}{ }
    \linetablefifteen {1}{ }{ }{1}
    \linetablesixteen {1}{ }{ }{1}

\draw (366,155) node  [align=left] {$\displaystyle C_{3} =\begin{Bmatrix}
    xx0xx1 \\
    xx1xx0
    \end{Bmatrix}$ \\
    $ S_a^{C_3} = 4,S_b^{c_3} = 6$
};
%(̅X₂ & X₅) V (X₂ & ̅X₅)

\draw [color={rgb, 255:red, 255; green, 0; blue, 0 }  ,draw opacity=1 ] (104.33,63) -- (137.97,63) -- (137.97,97.75) -- (104.33,97.75) -- cycle ;
\draw [color={rgb, 255:red, 255; green, 0; blue, 0 }  ,draw opacity=1 ] (234.33,63) -- (267.97,63) -- (267.97,97.75) -- (234.33,97.75) -- cycle ;
\draw [color={rgb, 255:red, 255; green, 0; blue, 0 }  ,draw opacity=1 ] (234.33,193) -- (267.97,193) -- (267.97,227.75) -- (234.33,227.75) -- cycle ;
\draw [color={rgb, 255:red, 255; green, 0; blue, 0 }  ,draw opacity=1 ] (104.33,193) -- (137.97,193) -- (137.97,227.75) -- (104.33,227.75) -- cycle ;
\draw [color={rgb, 255:red, 255; green, 0; blue, 0 }  ,draw opacity=1 ]   (137.5,70.5) -- (234.59,70.5) ;
\draw [color={rgb, 255:red, 255; green, 0; blue, 0 }  ,draw opacity=1 ]   (127.5,97.5) -- (127.5,193.33) ;
\draw [color={rgb, 255:red, 255; green, 0; blue, 0 }  ,draw opacity=1 ]   (237.5,97.5) -- (237.5,193.33) ;
\draw [color={rgb, 255:red, 255; green, 0; blue, 0 }  ,draw opacity=1 ]   (137.5,220.5) -- (234.59,220.5) ;
\draw [color={rgb, 255:red, 0; green, 0; blue, 255 }  ,draw opacity=1 ] (83.33,105) -- (96.97,105) -- (96.97,137.25) -- (83.33,137.25) -- cycle ;
\draw [color={rgb, 255:red, 0; green, 0; blue, 255 }  ,draw opacity=1 ] (143.33,105) -- (156.97,105) -- (156.97,137.25) -- (143.33,137.25) -- cycle ;
\draw [color={rgb, 255:red, 0; green, 0; blue, 255 }  ,draw opacity=1 ] (213.33,105) -- (226.97,105) -- (226.97,137.25) -- (213.33,137.25) -- cycle ;
\draw [color={rgb, 255:red, 0; green, 0; blue, 255 }  ,draw opacity=1 ] (273.33,105) -- (286.97,105) -- (286.97,137.25) -- (273.33,137.25) -- cycle ;
\draw [color={rgb, 255:red, 0; green, 0; blue, 255 }  ,draw opacity=1 ] (273.33,235) -- (286.97,235) -- (286.97,267.25) -- (273.33,267.25) -- cycle ;
\draw [color={rgb, 255:red, 0; green, 0; blue, 255 }  ,draw opacity=1 ] (213.33,235) -- (226.97,235) -- (226.97,267.25) -- (213.33,267.25) -- cycle ;
\draw [color={rgb, 255:red, 0; green, 0; blue, 255 }  ,draw opacity=1 ] (143.33,235) -- (156.97,235) -- (156.97,267.25) -- (143.33,267.25) -- cycle ;
\draw [color={rgb, 255:red, 0; green, 0; blue, 255 }  ,draw opacity=1 ] (83.33,235) -- (96.97,235) -- (96.97,267.25) -- (83.33,267.25) -- cycle ;
\draw [color={rgb, 255:red, 0; green, 0; blue, 255 }  ,draw opacity=1 ]   (96.97,137.25) .. controls (107.47,149.25) and (131.97,148.75) .. (143.33,137.25) ;
\draw [color={rgb, 255:red, 0; green, 0; blue, 255 }  ,draw opacity=1 ]   (96.97,267.25) .. controls (107.47,279.25) and (131.97,278.75) .. (143.33,267.25) ;
\draw [color={rgb, 255:red, 0; green, 0; blue, 255 }  ,draw opacity=1 ]   (226.97,267.25) .. controls (237.47,279.25) and (261.97,278.75) .. (273.33,267.25) ;
\draw [color={rgb, 255:red, 0; green, 0; blue, 255 }  ,draw opacity=1 ]   (226.97,137.25) .. controls (237.47,149.25) and (261.97,148.75) .. (273.33,137.25) ;
\draw [color={rgb, 255:red, 0; green, 0; blue, 255 }  ,draw opacity=1 ]   (130.5,144.42) -- (235.5,143.42) ;
\draw [color={rgb, 255:red, 0; green, 0; blue, 255 }  ,draw opacity=1 ]   (130.5,274.42) -- (235.5,273.42) ;
\draw [color={rgb, 255:red, 0; green, 0; blue, 255 }  ,draw opacity=1 ]   (183,143.92) -- (183,273.92) ;